<?php require_once('topo.php');?>
<?php require_once('lateral.php');?>
<?php

$idbanner = Sanitize::filter($_GET["idbanner"]);

if($idbanner == ""){
$acao	= "Salvar";
}else{
$acao = "Alterar";	
}

//Recebe Acao
$acao_bd	= Sanitize::filter($_GET["acao"]);
$acao_bd	.= Sanitize::filter($_POST["acao"]);


//CAMPOS POST 


$idbanner .= Sanitize::filter($_POST["idbanner"]);
$titulo = Sanitize::filter($_POST["titulo"]);
$breve = Sanitize::filter($_POST["breve"]);
$url = Sanitize::filter($_POST["url"]);

/*$diretorio = "/home/k88combr/public_html/farrasefolias/site/painel/arquivos/";
// SALVAR CAPA
$arquivo = $_FILES['arquivo'];

$extensao_arquivo = ver_extensao($arquivo["name"]);

if($extensao_arquivo == "pdf" || $extensao_arquivo == "doc" | $extensao_arquivo == "ppt"){
$arquivo_nome= rand(000,9999) . $arquivo["name"];
$arquivo_diretorio = $diretorio.$arquivo_nome;

move_uploaded_file($arquivo["tmp_name"],$arquivo_diretorio);
$arquivoid = $arquivo_nome;
}else{
	$arquivoid = "";
}

// SALVAR CAPA
$arquivo2 = $_FILES['arquivo2'];

$extensao_arquivo2 = ver_extensao($arquivo2["name"]);

if($extensao_arquivo2 == "pdf" || $extensao_arquivo2 == "doc" | $extensao_arquivo2 == "ppt"){
$arquivo_nome2= rand(000,9999) . $arquivo2["name"];
$arquivo_diretorio2 = $diretorio.$arquivo_nome2;

move_uploaded_file($arquivo2["tmp_name"],$arquivo_diretorio2);
$arquivoid2 = $arquivo_nome2;
}else{
	$arquivoid2 = "";
}
*/

//CAMPOS TABELA SALVAR 

$campos_tabela = "titulo, breve, url";

//Dados da Tabela

$tabela	="banners";

$campos_value = "'$titulo', '$breve', '$url'";

//INSERIR REGISTROS

if($acao_bd == "Salvar"){

$salvar = Salvar($tabela, $campos_tabela, $campos_value);

// RETORNA ULTIMO ID INSERIDO

$id_insert = mysql_insert_id();

//CRIO ALBUM
$criar_album = Salvar("albuns",  "album_name, idbanner", "'$titulo', '$id_insert'");	

$redireciona = VerificaSql($salvar, "manutencao_banners.php?idbanner=".$id_insert."", "manutencao_banners.php");

}


// CAMPOS ALTERAR 


if($acao_bd == "Alterar"){

$campos_alterar = "titulo='$titulo', breve='$breve', url='$url'";

$atualizar = Alterar($tabela, $campos_alterar, "idbanner", $idbanner);
/*
	//ATUALIZA ARQUIVO
	if(!empty($_FILES['arquivo']['name'])){
    $campos_alterar = "arquivo='$arquivoid'";
    $atualizar = Alterar($tabela, $campos_alterar, "idbanner", $idbanner);	
	}

	//ATUALIZA ARQUIVO
	if(!empty($_FILES['arquivo2']['name'])){
    $campos_alterar = "arquivo='$arquivoid2'";
    $atualizar = Alterar($tabela, $campos_alterar, "idbanner", $idbanner);	
	}
*/

$redireciona = VerificaSql($atualizar, "manutencao_banners.php?idbanner=".$idbanner."", "manutencao_banners.php?idbanner=".$idbanner."");

}


//EXCLUIR REGISTRO 



if($_GET["excluir"] == "sim"){

$deletar = Excluir($tabela, "idbanner", $idbanner);
$excluir_album = Excluir("albuns", "idbanner", $idbanner);
$redireciona = VerificaSql($deletar, "listar_banners.php", "manutencao_banners.php?idbanner=".$idbanner."");

} 

//EXCLUIR ARQUIVO
/*

if($_GET["ExcluirArquivo"] == "sim"){
	$atualizar = Alterar($tabela, "arquivo=''", "idbanner", $idbanner);
}

if($_GET["ExcluirArquivo2"] == "sim"){
	$atualizar = Alterar($tabela, "arquivo2=''", "idbanner", $idbanner);
}
*/
//CAMPOS SELECT 

if($acao == "Alterar"){

$selecionar_banners = Seleciona($tabela, "WHERE idbanner=$idbanner", "") or die(mysql_error());
while($linha_banner=mysql_fetch_array($selecionar_banners)){
$idbanner = $linha_banner['idbanner']; 
$titulo = $linha_banner['titulo']; 
$breve = $linha_banner['breve']; 
$url = $linha_banner['url']; 
} 

$seleciona_album = Seleciona("albuns", "WHERE idbanner='$idbanner'", "");
while($album = mysql_fetch_array($seleciona_album)){
	$idalbum = $album['album_id'];
}

} 

?>

<form name="cadastro_banner" id="cadastro_banner" method="post" action="manutencao_banners.php" enctype="multipart/form-data" class="form-default">
<input type="hidden" name="acao" value="<?php echo $acao;?>">
<input type="hidden" name="idbanner" value="<?php echo $idbanner;?>"> 
 

      <!-- Right side column. Contains the navbar and content of the page -->
      <div class="content-wrapper" style="<?php if($_GET['Box'] != ""){ echo "margin-left: 0px;"; }?>">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
            banner
            <small>Detalhe</small>
			<button type="button" class="btn btn-primary" style=" float: inherit;" onclick="location.href='manutencao_banners.php';">Novo banner</button>            
          </h1>
          <ol class="breadcrumb">
            <li><a href="index.php"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="listar_banners.php">Banners</a></li>
            <li class="active">Detalhes / Editar</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <!-- left column -->
            <div class="col-md-6">
              <div class="box box-primary">
                <div class="box-header">
                  <h3 class="box-title">Dados do banner</h3>           
                </div>
                <div class="box-body">
                  <div class="row">                                        		


		<div class='col-xs-6'>
		<label for='titulo'>Titulo</label>
		  <input type='text' id='titulo' name='titulo' class='form-control' placeholder='titulo' value='<?php echo $titulo;?>'>
		</div>
        
		<div class='col-xs-12'>
		<label for='breve'>Breve</label>          
        <textarea id="breve" name="breve" class='form-control'>
        <?php echo $breve;?>
        </textarea>          
		</div>        

		<div class='col-xs-12'>
		<label for='url'>URL</label>          
        <textarea id="url" name="url" class='form-control'>
        <?php echo $url;?>
        </textarea>          
		</div>        
                    

                  </div>
                    <div class="box-footer">
                    <button type="submit" class="btn btn-primary">Salvar</button>
                    <?php if($acao != "Salvar"){ ?>
                    <button type="button" class="btn btn-danger" onclick="location.href='manutencao_banners.php?idbanner=<?php echo $idbanner;?>&excluir=sim';">Excluir</button>
                    <?php }?>
                    </div>                  
                </div><!-- /.box-body -->
              </div><!-- /.box -->
              
              
              <!-- ALBUM DE FOTOS -->
              <?php if($acao != "Salvar"){ ?>
              <div class="box box-primary">
                <div class="box-header">
                  <h3 class="box-title">Fotos do Album</h3>
                  
				  <button type="button" class="btn btn-twitter" style=" float: right;" onclick="location.href='album.php?id=<?php echo $idalbum;?>';">Album de Fotos</button>                         
                </div>
                <div class="box-body">
                  <div class="row">                                        
					<?php if($acao == "Alterar"){ ?>
                    <?php
                    if($idalbum != "" and $idalbum != 0){
                    $SelecionaFotos	= Seleciona("fotos", "WHERE foto_album=$idalbum", "");
                    while($fotos = mysql_fetch_array ($SelecionaFotos)){					
                    ?>
                    <div style="border: #CCC 1px solid; margin: 10px; width: 150px; height: 150px; float:left;"> <img src="../catalogo/painel/albumdefotos/fotos/<?php echo $fotos['foto_url']?>" width="150" height="150" alt=""></div>
                    <?php } }?>
                    <?php }?>                  
                  </div>                 
                </div><!-- /.box-body -->
              </div><!-- /.box -->  
              <?php }?> 
              <!-- FIM ALBUM DE FOTOS -->  
              
              
            </div><!--/.col (left) -->


          </div>   <!-- /.row -->
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
</form>
  
<?php require_once('rodape.php');?>
